Subject: Re: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Sep 2023 14:11:08 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 23 Sep 2023 10:51:22 +0000
> 
> You are right. If the visible part of the line has :extend already, it
> would make more sense to extend the face:
> 
> <visible text :extend t><ellipsis><newline :extend t>
> 
> The discussed issue corresponds to the following line structure:
> 
> <visible text :extend nil><ellipsis :extend nil><newline :extend t>
> 
> IMHO, <newline> after invisible text should simply inherit the face of
> previous glyph (from ellipsis, if ellipsis is visible; or from visible
> text, if invisible text is completely hidden) to get the expected look.

AFAICT, this should already happen.

I think I need a simple recipe to reproduce the problem and see more
closely what is going on in that recipe.  I tried the one at the
beginning of this bug, but couldn't reproduce, probably because I'm
missing something.